Difference between revisions of "Tracking Dependencies"

From Inkscape Wiki
Jump to navigation Jump to search
(→‎Distros: Added a couple of libgc)
Line 146: Line 146:
 
| 1.18
 
| 1.18
 
| 2.2.4.2
 
| 2.2.4.2
| 6.4
+
| 6.8
 
|-
 
|-
 
| Fedora 15 <small>EOL 2012-06</small>
 
| Fedora 15 <small>EOL 2012-06</small>
Line 158: Line 158:
 
| 1.19 <br /> 2.2
 
| 1.19 <br /> 2.2
 
| 2.2.9
 
| 2.2.9
 +
|
 
|-
 
|-
 
| Fedora 16  
 
| Fedora 16  
Line 169: Line 170:
 
| 1.19 <br /> 2.3
 
| 1.19 <br /> 2.3
 
| 2.2.10
 
| 2.2.10
 +
|
 
|-
 
|-
 
| Open SuSE 11.4 <small>EOL 2012-09-15</small>
 
| Open SuSE 11.4 <small>EOL 2012-09-15</small>
Line 180: Line 182:
 
| 1.19 <br /> 2.1
 
| 1.19 <br /> 2.1
 
| 2.2.8
 
| 2.2.8
 +
|
 
|-
 
|-
 
| Open SuSE 12.1 <small>EOL 2013-05-15</small>
 
| Open SuSE 12.1 <small>EOL 2013-05-15</small>
Line 191: Line 194:
 
| 1.19 <br /> 2.2
 
| 1.19 <br /> 2.2
 
| 2.2.10
 
| 2.2.10
 +
|
 
|-
 
|-
 
| style="background:Orange;"| Ubuntu 10.04 LTS (Lucid) <small>EOL 2013-04 (Desktop)</small>
 
| style="background:Orange;"| Ubuntu 10.04 LTS (Lucid) <small>EOL 2013-04 (Desktop)</small>
Line 202: Line 206:
 
| 1.18
 
| 1.18
 
| 2.2.4.2
 
| 2.2.4.2
 +
| 6.8
 
|-
 
|-
 
| Ubuntu 10.10 (Maverick) <small>EOL 2012-04-10</small>
 
| Ubuntu 10.10 (Maverick) <small>EOL 2012-04-10</small>
Line 213: Line 218:
 
| 1.18
 
| 1.18
 
| 2.2.4.2
 
| 2.2.4.2
 +
| 6.8
 
|-
 
|-
 
| Ubuntu 11.04 (Natty) <small>EOL 2012-10</small>
 
| Ubuntu 11.04 (Natty) <small>EOL 2012-10</small>
Line 224: Line 230:
 
| 1.18
 
| 1.18
 
| 2.2.4.2
 
| 2.2.4.2
 +
| 6.8
 
|-
 
|-
 
| Ubuntu 11.10 (Oneiric) <small>EOL 2013-04</small>
 
| Ubuntu 11.10 (Oneiric) <small>EOL 2013-04</small>
Line 235: Line 242:
 
| 1.19 <br /> 2.2
 
| 1.19 <br /> 2.2
 
| 2.2.10
 
| 2.2.10
 +
| 7.1
 
|-
 
|-
 
| Ubuntu 12.04 (Precise) <small>EOL 2017-04</small> <small>(as of 2012-03-08)</small>
 
| Ubuntu 12.04 (Precise) <small>EOL 2017-04</small> <small>(as of 2012-03-08)</small>
Line 246: Line 254:
 
| 1.19 <br /> 2.2
 
| 1.19 <br /> 2.2
 
| 2.2.10
 
| 2.2.10
 +
| 7.1
 
|}
 
|}
  

Revision as of 21:06, 14 March 2012

Overview

We need help getting our basic lib dependencies listed out and kept up to date. Also we need to track which versions of which distros have the needed dependencies.

To get glib and GTK+ dependencies figured out, people can go through the API documentation and look for the 'since' entries saying when calls were added. Then look for those calls in our source. Voila! we'll have base minimum dependencies figured out.

Libs

C++ bindings are not included, since their required versions match those of the C counterparts.

Library v 0.47 v 0.48.x trunk
Boehm-GC ? 6.4 6.4
Cairo ? ? 1.10
GDK ? ? ?
GDL1 N/A N/A (3.4)2
Glib 2.16* 2.16* 2.24
glibmm ? ? ?
GTK+ 2.12*
< 3.0
2.12*
< 3.0
2.20
< 3.0
GNU Scientific Library ? ? ?
LittleCMS 1.13 1.13 1.13
libxml 2.6.11* 2.6.11* 2.6.11*
libxslt 1.0.15* 1.0.15* 1.0.15*
Pango ? ? ?
Poppler 0.5.9* 0.5.9* 0.5.9*
libsigc++ 2.0.12* 2.0.12* 2.0.12*

* Tentative dependency
1Inkscape has an internal fork of GDL that we will eventually remove. GDL 3.4 will contain all the new functionality that was introduced in our fork. However, this will also introduce a dependency upon GTK+ 3.
2We can't actually build against GDL 3.4 until we are able to support GTK+ 3.

Functions used

Function Lib Since Required
g_timeout_add_seconds Glib 2.14 ?

Distros

Note: This table is not relevant to (non-fink) MacOS X, where we ship the desired version with Inkscape.

Distro cairo glib glibmm gtk+ gtkmm pango gdl lcms libsigc++ libgc
Windows Devlibs 1.10.2 2.28.8 2.26.0 2.24.8 2.22.0 1.28.3 (none) 1.17 2.2.4.2 7.1
Debian 6.0 (Squeeze, stable) EOL ~2014? 1.8.10 2.24.2 2.24.2 2.20.1 2.20.3 1.28.3 2.30.1 1.18 2.2.4.2 6.8
Fedora 15 EOL 2012-06 1.10.2 2.28.6 2.28.6 2.24.4
3.0.9
2.24.0 1.28.4 3.0.0 1.19
2.2
2.2.9
Fedora 16 1.10.2 2.30.1 2.30.0 2.24.8
3.2.1
2.24.2
3.2.0
1.29.4 3.2.0 1.19
2.3
2.2.10
Open SuSE 11.4 EOL 2012-09-15 1.10.2 2.28.0 2.25.5 2.22.1 2.22.0 1.28.3 2.30.1 1.19
2.1
2.2.8
Open SuSE 12.1 EOL 2013-05-15 1.10.2 2.30.1 2.30.0 2.24.7
3.2.1
2.24.2
3.2.0
1.29.4 3.2.0 1.19
2.2
2.2.10
Ubuntu 10.04 LTS (Lucid) EOL 2013-04 (Desktop) 1.8.10 2.24.0 2.24.1 2.20.0 2.20.2 1.28.0 2.30.0 1.18 2.2.4.2 6.8
Ubuntu 10.10 (Maverick) EOL 2012-04-10 1.10.0 2.26.1 2.25.2 2.22.0 2.20.3 1.28.2 2.30.0 1.18 2.2.4.2 6.8
Ubuntu 11.04 (Natty) EOL 2012-10 1.10.2 2.28.6 2.28.0 2.24.4
3.0.8
2.24.0 1.28.4 2.30.1 1.18 2.2.4.2 6.8
Ubuntu 11.10 (Oneiric) EOL 2013-04 1.10.2 2.30.0 2.30.0 2.24.6
3.2.0
2.24.2
3.2.0
1.29.3 3.1.5 1.19
2.2
2.2.10 7.1
Ubuntu 12.04 (Precise) EOL 2017-04 (as of 2012-03-08) 1.10.2 2.31.20 2.31.20 2.24.10
3.3.18
2.24.2
3.3.18
1.29.5 3.3.4 1.19
2.2
2.2.10 7.1
Legend
Inkscape 0.48 unsupported
Inkscape trunk unsupported